-- list.lua

print "Available libraries and functions:"
lua_builtins = "*** LUA builtins: "
if _LG then 
	ml_functions = "*** ML functions: "
else
	ml_functions = "*** LUA builtins and ML functions: "
end

for i in pairs(_G) do
	if string.sub(i,1,1) ~= "_" then
		if type(_G[i]) == 'table'  then
			print('*** ' .. i .. ": " .. dir(_G[i]))
		elseif type(_G[i]) == 'function' then
			if _LG and _LG[i] then
				lua_builtins = lua_builtins .. i .. " "
			else
				ml_functions = ml_functions .. i .. " "
			end
		end
	end
end
print(lua_builtins)
print(ml_functions)
